=== added directory 'debian'
=== added file 'debian/changelog'
--- debian/changelog	1970-01-01 00:00:00 +0000
+++ debian/changelog	2012-11-14 10:14:13 +0000
@@ -0,0 +1,239 @@
+indicator-power (12.10.5-0ubuntu1) raring; urgency=low
+
+  * New upstream release:
+    - Fix a device display bug introduced in 12.10.3 (LP: #1075192)
+
+ -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 14 Nov 2012 11:09:59 +0100
+
+indicator-power (12.10.4-0ubuntu1) raring; urgency=low
+
+  * New upstream release.
+    - Show the proper icon for mice and ups devices. (LP: #1066208)
+
+ -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 05 Nov 2012 12:41:37 +0100
+
+indicator-power (12.10.2-0ubuntu1) quantal; urgency=low
+
+  * New upstream release.
+    - Show a more accurate view of discharging batteries (LP: #1054146)
+    - Fix a GIcon memory leak
+    - In device.c, include gi18n-lib.h instead of gi18n.h
+
+ -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 03 Oct 2012 21:26:58 +0200
+
+indicator-power (12.10.1-0ubuntu2) quantal; urgency=low
+
+  * Cherry-pick:
+    - Ensure the power indicator string translations are loaded. Thanks lars
+
+ -- Didier Roche <didrocks@ubuntu.com>  Thu, 20 Sep 2012 11:04:55 +0200
+
+indicator-power (12.10.1-0ubuntu1) quantal; urgency=low
+
+  * New upstream release.
+
+ -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 22 Aug 2012 11:29:28 +0200
+
+indicator-power (12.10.0-0ubuntu1) quantal; urgency=low
+
+  * New upstream release.
+  * debian/control: updated glib requirement
+
+ -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 11 Jul 2012 21:46:39 +0200
+
+indicator-power (2.0-0ubuntu1) precise; urgency=low
+
+  * New upstream release.
+    * Make menu items accessible with Orca Screen reader (LP: #953176)
+    * Plug memory leaks when updating our icons
+
+ -- Charles Kerr <charles.kerr@canonical.com>  Wed, 11 Apr 2012 10:12:54 -0500
+
+indicator-power (1.93-0ubuntu1) precise; urgency=low
+
+  * New upstream release.
+    * Fix for translatable strings not being extracted for i18n (LP: #957542)
+
+ -- Charles Kerr <charles.kerr@canonical.com>  Wed, 21 Mar 2012 12:47:31 -0500
+
+indicator-power (1.92-0ubuntu1) precise; urgency=low
+
+  * New upstream release.
+
+ -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 14 Mar 2012 19:43:58 +0100
+
+indicator-power (1.91-0ubuntu1) precise; urgency=low
+
+  * New upstream release.
+    * Fix for the icon not changing when state changes (LP: #933466)
+    * Fix accessible descriptions (LP: #891932)
+
+ -- Ted Gould <ted@ubuntu.com>  Thu, 23 Feb 2012 00:35:31 -0600
+
+indicator-power (1.90-0ubuntu2) precise; urgency=low
+
+  * src/indicator-power.c
+    - cherry picked a fix for the icon not changing when state 
+      changes (LP: #933466)
+
+ -- Ken VanDine <ken.vandine@canonical.com>  Fri, 17 Feb 2012 10:41:52 -0500
+
+indicator-power (1.90-0ubuntu1) precise; urgency=low
+
+  * New upstream release.
+    * Support for hiding of icon and settings for it as well (lp: #811769)
+    * Adding a name hint
+
+ -- Ted Gould <ted@ubuntu.com>  Tue, 14 Feb 2012 16:26:48 -0600
+
+indicator-power (0.10-0ubuntu2) precise; urgency=low
+
+  * no change rebuild for libindicator7
+
+ -- Ken VanDine <ken.vandine@canonical.com>  Wed, 25 Jan 2012 09:58:07 -0500
+
+indicator-power (0.10-0ubuntu1) precise; urgency=low
+
+  * New upstream release.
+    - Use battery-with-a-plug when the batttery is fully charged but still 
+      on AC (LP: #865342)
+    - Only show a red icon when we have less than 30 minutes of battery 
+      remaining (LP: #743823)
+    - Fix icon creation for UP_DEVICE_STATE_CHARGING state
+    - support for old name icons
+    - Do not hardcode icon percentage when discharging
+
+ -- Ken VanDine <ken.vandine@canonical.com>  Mon, 24 Oct 2011 11:07:54 -0400
+
+indicator-power (0.9-0ubuntu2) oneiric; urgency=low
+
+  * src/indicator-power.c
+    - Add a workaround to fix the case when we get a empty bay as a real 
+      battery. (LP: #863518)
+
+ -- Ken VanDine <ken.vandine@canonical.com>  Mon, 03 Oct 2011 10:35:48 -0400
+
+indicator-power (0.9-0ubuntu1) oneiric; urgency=low
+
+  * New upstream release.
+    - Use correct dgettext and g_dngettext calls (LP: #846895)
+    - Ensure we use the same icon for all charge levels if we are in the 
+      charging status (LP: #824629)
+    - Fix gap when the power indicator is not show (LP: #842188)
+    - Do not show (charged) in menu title when fully charged (LP: #850011)
+    - Do not activate g-s-d, but just watch dbus for g-s-d to 
+      appear (LP: #854717)
+  * po/POTFILES.in
+    - Fixed gsettings schema filename
+  * debian/copyright
+    - Removed an extra line to make dep5 compliant
+
+ -- Ken VanDine <ken.vandine@canonical.com>  Fri, 23 Sep 2011 13:03:13 -0400
+
+indicator-power (0.7-0ubuntu2) oneiric; urgency=low
+
+  * debian/control
+    - depend on gnome-settings-daemon instead of 
+      gnome-power-manager (LP: #833397)
+
+ -- Ken VanDine <ken.vandine@canonical.com>  Thu, 25 Aug 2011 09:13:55 -0400
+
+indicator-power (0.7-0ubuntu1) oneiric; urgency=low
+
+  * New upstream release.
+    - Use gsettings to store the status of "Show time in Menu Bar" 
+      option (LP: #829853)
+    - Follow standard alignment of icons in menus (LP: #829697)
+    - Do not use a space before an ellipsis at the end of a string.
+  * debian/control
+    - Added build depends for libglib2.0-dev
+  * data/org.ubuntu.indicator-power.gschema.xml.in
+    - cherry pick typo fix from trunk
+
+ -- Ken VanDine <ken.vandine@canonical.com>  Tue, 23 Aug 2011 12:44:58 -0400
+
+indicator-power (0.6-0ubuntu2) oneiric; urgency=low
+
+  * src/indicator-power.c
+    - cherry pick fix to prevent it from showing the icon on devices that
+      have no battery
+
+ -- Ken VanDine <ken.vandine@canonical.com>  Fri, 12 Aug 2011 16:17:51 -0400
+
+indicator-power (0.6-0ubuntu1) oneiric; urgency=low
+
+  * New upstream release.
+    - Show time left to use without brackets, time left to charge with 
+      brackets. (LP: #824629)
+    - Fix some memory leaks
+    - Don't show settings links when used in a greeter
+    - Use a string when the energy source is not present instead 
+      of 0%
+    - only batteries status icons are allowed in the menu title
+  * src/indicator-power.c
+    - cherry picked crasher fix
+  * debian/rules: 
+    - Don't autoreconf 
+
+ -- Ken VanDine <ken.vandine@canonical.com>  Fri, 12 Aug 2011 09:57:47 -0400
+
+indicator-power (0.5-0ubuntu1) oneiric; urgency=low
+
+  * New upstream release.
+    - Set GETTEXT_PACKAGE to generate proper templates
+    - Dropped support for gnome-power-manager
+  * debian/patches/fix_defines.patch
+    - removed, merged upstream
+
+ -- Ken VanDine <ken.vandine@canonical.com>  Wed, 03 Aug 2011 09:30:18 -0400
+
+indicator-power (0.4-0ubuntu3) oneiric; urgency=low
+
+  * debian/control
+    - Added dh-autoreconf to build depends 
+
+ -- Ken VanDine <ken.vandine@canonical.com>  Thu, 28 Jul 2011 15:02:03 -0400
+
+indicator-power (0.4-0ubuntu2) oneiric; urgency=low
+
+  * debian/patches/fix_defines.patch
+    - Use the HAVE_GSD defines so it works without gpm
+  * debian/rules
+    - added autoreconf
+
+ -- Ken VanDine <ken.vandine@canonical.com>  Thu, 28 Jul 2011 12:59:33 -0400
+
+indicator-power (0.4-0ubuntu1) oneiric; urgency=low
+
+  * New upstream release.
+    - Always select a device (LP: #810872)
+    - Use the dbus interface provided in g-s-d 3.1.4
+  * debian/control
+    - Added build depends for gnome-settings-daemon-dev >= 3.1.4 
+  * debian/source_indicator-power.py
+    - Install apport hook to collect upower -d output
+
+ -- Ken VanDine <ken.vandine@canonical.com>  Tue, 26 Jul 2011 16:34:30 -0400
+
+indicator-power (0.3-0ubuntu1) oneiric; urgency=low
+
+  * New upstream release.
+    - Refine the text of the items in the menu to follow the specification
+    - Draw option checkbox as check, not radio
+    - Show the apropiate icon depending of the status of the devices
+
+ -- Ken VanDine <ken.vandine@canonical.com>  Thu, 14 Jul 2011 11:04:23 -0400
+
+indicator-power (0.2-0ubuntu1) oneiric; urgency=low
+
+  * New upstream release.
+  * debian/control
+    - Bump build depends for libindicator to >- 0.3.90
+
+ -- Ken VanDine <ken.vandine@canonical.com>  Fri, 08 Jul 2011 09:59:26 -0400
+
+indicator-power (0.1-0ubuntu1) oneiric; urgency=low
+
+  * Initial package (LP: #807132)
+
+ -- Ken VanDine <ken.vandine@canonical.com>  Thu, 07 Jul 2011 13:12:21 -0400

=== added file 'debian/compat'
--- debian/compat	1970-01-01 00:00:00 +0000
+++ debian/compat	2011-07-07 18:22:03 +0000
@@ -0,0 +1,1 @@
+8

=== added file 'debian/control'
--- debian/control	1970-01-01 00:00:00 +0000
+++ debian/control	2012-07-11 19:46:25 +0000
@@ -0,0 +1,25 @@
+Source: indicator-power
+Section: gnome
+Priority: optional
+Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Build-Depends: debhelper (>= 8),
+               libgtk-3-dev,
+               libglib2.0-dev (>= 2.33),
+               libindicator3-dev (>= 0.3.90),
+               libupower-glib-dev (>= 0.9.5),
+               gnome-settings-daemon-dev (>= 3.1.4),
+               libdbus-1-dev,
+               dh-autoreconf,
+               intltool
+Standards-Version: 3.9.2
+Homepage: https://launchpad.net/indicator-power
+Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-desktop/indicator-power/ubuntu
+Vcs-Browser: http://bazaar.launchpad.net/~ubuntu-desktop/indicator-power/ubuntu
+
+Package: indicator-power
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}, upower, gnome-control-center (>= 3.1), gnome-settings-daemon
+Recommends: indicator-applet (>= 0.2) | indicator-renderer
+Description: Indicator showing power state.
+ This indicator displays current power management information and gives 
+ the user a way to access power management preferences.

=== added file 'debian/copyright'
--- debian/copyright	1970-01-01 00:00:00 +0000
+++ debian/copyright	2011-09-23 18:13:13 +0000
@@ -0,0 +1,37 @@
+Format: http://dep.debian.net/deps/dep5
+Upstream-Name: indicator-power
+Source: http://launchpad.net/indicator-power
+
+Files: *
+Copyright: 2011 Canonical Ltd.
+License: GPL-3
+ This program is free software: you can redistribute it and/or modify it
+ under the terms of the GNU General Public License version 3, as published 
+ by the Free Software Foundation.
+ .
+ This program is distributed in the hope that it will be useful, but
+ WITHOUT ANY WARRANTY; without even the implied warranties of
+ MERCHANTABILITY, SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR
+ PURPOSE.  See the GNU General Public License for more details.
+ .
+ On Debian systems, the complete text of the GNU General
+ Public License version 3 can be found in "/usr/share/common-licenses/GPL-3".
+
+Files: debian/*
+Copyright: 2011 Ken VanDine <ken.vandine@canonical.com>
+License: GPL-2+
+ This package is free software; you can redistribute it and/or modify
+ it under the terms of the GNU General Public License as published by
+ the Free Software Foundation; either version 2 of the License, or
+ (at your option) any later version.
+ .
+ This package is distributed in the hope that it will be useful,
+ but WITHOUT ANY WARRANTY; without even the implied warranty of
+ MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ GNU General Public License for more details.
+ .
+ You should have received a copy of the GNU General Public License
+ along with this program. If not, see <http://www.gnu.org/licenses/>
+ .
+ On Debian systems, the complete text of the GNU General
+ Public License version 2 can be found in "/usr/share/common-licenses/GPL-2".

=== added file 'debian/rules'
--- debian/rules	1970-01-01 00:00:00 +0000
+++ debian/rules	2011-08-12 20:00:59 +0000
@@ -0,0 +1,14 @@
+#!/usr/bin/make -f
+# -*- makefile -*-
+
+# Uncomment this to turn on verbose mode.
+#export DH_VERBOSE=1
+
+%:
+	dh $@
+
+override_dh_install:
+	find debian/indicator-power -name \*.la -delete
+	find debian/indicator-power -name \*.a -delete
+	mkdir -p debian/indicator-power/usr/share/apport/package-hooks/
+	cp debian/source_indicator-power.py debian/indicator-power/usr/share/apport/package-hooks/

=== added file 'debian/source_indicator-power.py'
--- debian/source_indicator-power.py	1970-01-01 00:00:00 +0000
+++ debian/source_indicator-power.py	2011-07-26 20:35:23 +0000
@@ -0,0 +1,12 @@
+'''apport package hook for indicator-power
+
+(c) 2011 Canonical Ltd.
+Author: Ken VanDine <ken.vandine@ubuntu.com>
+'''
+
+from apport.hookutils import *
+from os import path
+
+def add_info(report):
+    report['UPowerDump'] = command_output(['upower', '-d'])
+    return report

